#ifndef PACKAGE
#define PACKAGE

#define PROTOKOL	3

#define m_FAST 0
#define m_SLOW 1

#define keys	0x0

#define Inputs	Modbus[0x0]
#define Alarms	Modbus[0x1]
#define Errors	Modbus[0x2]

#define Alarm_mask	Modbus[0x8]
#define Error_mask	Modbus[0x9]

#define Error_mask	Modbus[0x9]

#define Jumpers		Modbus[0x10]
#define Buttons		Modbus[0x11]
#define jumpers		modbus[0x10]
#define buttons		modbus[0x11]

#define Squazh_U	(modbus+0x20)

#define Sleep_time	modbus[0x48]

#define Squazh_L	(modbus+0x30)

#define	Cancount	(modbus+0x60)	//	пауза между I посылками CAN
#define	CanWait		(modbus+0x62)	//	максимальнаа пауза
#define	CanRestart	(modbus+0x64)	//	перезапуск посылки
#define	CanRepeat	 modbus[0x66]	//	сколько раз повторать надо

#define	Brightness	 modbus[0x68]	//	аркость сигнальной лампочки

#define cancyclo	0x78			//	его адрес
#define CanCycle	(modbus+0x78)	//	счетчик циклов CAN
#define CanRound	(modbus+0x7A)	//	счетчик еще более полных циклов  CAN

#define Protokol	modbus[125]
#define LastMode	Modbus[126].all

#define Commands	Modbus[127].all
#define cTestLamp	Modbus[127].bit.bit0
#define cDefParam	Modbus[127].bit.bit1
#define cSaveParam	Modbus[127].bit.bit2
#define cLoadParam	Modbus[127].bit.bit3

#define cExtLamp	Modbus[127].bit.bit6
#define cExtLite	Modbus[127].bit.bit7

#define cReset		Modbus[127].bit.bitF

#endif	//PACKAGE

